summaryrefslogtreecommitdiff
path: root/bin/send-gst-rtp-v-a
diff options
context:
space:
mode:
Diffstat (limited to 'bin/send-gst-rtp-v-a')
-rwxr-xr-xbin/send-gst-rtp-v-a8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/send-gst-rtp-v-a b/bin/send-gst-rtp-v-a
index d068068..4fcbb61 100755
--- a/bin/send-gst-rtp-v-a
+++ b/bin/send-gst-rtp-v-a
@@ -43,6 +43,10 @@ case "$VFORMAT" in
RAW|'')
VENC="rtpvrawpay"
;;
+ *)
+ echo "ERROR: Unsupported video format: \"$VFORMAT\""
+ exit 1
+ ;;
esac
case "$AFORMAT" in
@@ -55,6 +59,10 @@ case "$AFORMAT" in
RAW|'')
AENC="rtpL16pay"
;;
+ *)
+ echo "ERROR: Unsupported audio format: \"$AFORMAT\""
+ exit 1
+ ;;
esac
stream() {